#include <ReefAngel_Features.h>
#include <Globals.h>
#include <RA_Wifi.h>
#include <Wire.h>
#include <OneWire.h>
#include <Time.h>
#include <DS1307RTC.h>
#include <InternalEEPROM.h>
#include <RA_NokiaLCD.h>
#include <RA_ATO.h>
#include <RA_Joystick.h>
#include <LED.h>
#include <RA_TempSensor.h>
#include <Relay.h>
#include <RA_PWM.h>
#include <Timer.h>
#include <Memory.h>
#include <InternalEEPROM.h>
#include <RA_Colors.h>
#include <RA_CustomColors.h>
#include <Salinity.h>
#include <RF.h>
#include <IO.h>
#include <ORP.h>
#include <AI.h>
#include <PH.h>
#include <WaterLevel.h>
#include <ReefAngel.h>

/*
Ports assignment:

Port2 - Daylight fixture - "http://www.reefangel.com/Support.Relay-function-StandardLights.ashx"
Port3 - Actinic fixture
*/

void setup()
{
  ReefAngel.Init();
}

void loop()
{
  ReefAngel.StandardLights(Port2,9,30,16,30); // Lights on at 9:30am and off at 4:30pm
  ReefAngel.StandardLights(Port3,9,0,17,0); // Lights on at 9:00am and off at 5:00pm

  // PWMParabola(byte startHour, byte startMinute, byte endHour, byte endMinute, byte startPWM, byte endPWM, byte oldValue)
  // startHour - Hour of the start the slope
  // startMinute - Minute of the start the slope
  // endHour - Hour of the end of the slope
  // endMinute - Minute of the end slope
  // startPWM - Beginning PWM value
  // endPWM - Ending PWM value
  // oldValue - Should be the startPWM value or the existing/current PWM value (ReefAngel.PWM.GetActinicValue() or GetDaylightValue())

  ReefAngel.PWM.SetActinic(PWMParabola(9,0,17,0,15,100,15)); 
  // Actinic PWM % starts raising from 15% to 100%  and back down to 15% from 9:00am to 5:00pm forming a parabola.
  ReefAngel.PWM.SetDaylight(PWMParabola(9,30,16,30,15,100,15)); 
  // Daylight PWM % starts raising from 15% to 100%  and back down to 15% from 9:30am to 4:30pm forming a parabola.

  ReefAngel.ShowInterface();
}

