#include <ReefAngel_Features.h>
#include <Globals.h>
#include <RA_Wifi.h>
#include <Wire.h>
#include <OneWire.h>
#include <Time.h>
#include <DS1307RTC.h>
#include <InternalEEPROM.h>
#include <RA_NokiaLCD.h>
#include <RA_ATO.h>
#include <RA_Joystick.h>
#include <LED.h>
#include <RA_TempSensor.h>
#include <Relay.h>
#include <RA_PWM.h>
#include <Timer.h>
#include <Memory.h>
#include <InternalEEPROM.h>
#include <RA_Colors.h>
#include <RA_CustomColors.h>
#include <Salinity.h>
#include <RF.h>
#include <IO.h>
#include <ORP.h>
#include <AI.h>
#include <PH.h>
#include <WaterLevel.h>
#include <ReefAngel.h>

/*
Ports assignment:

Port2 - Daylight fixture
Port3 - Actinic fixture
*/

void setup()
{
  ReefAngel.Init();
}

void loop()
{
  /*
  Light schedule and PWM values are set by internal memory.
  To change internal memory values, please use one of the available apps: Client, Status, iPhone or Android.
  Alternatively, you can always mofify the InitialInternalMemory.ino file and upload to your Reef Angel controller.
  This file can be accessed by using the menu File->Sketchbook->InitialInternalMemory
  */
  
  ReefAngel.StandardLights(Port2);
  ReefAngel.StandardLights(Port3,30);
  // Port3 has a 30 mins offset from Port2
  // Port3 will turn on 30 mins before and turn off 30 after Port2
  ReefAngel.PWM.DaylightPWMSlope();
  ReefAngel.PWM.ActinicPWMSlope(30); 
  // Actinic Channel has a 30 mins offset from Daylight Channel
  // Actinic Slope will start 30 mins before and end 30 minutes after Daylight Channel
  
  ReefAngel.ShowInterface();
}

